Skip to main content

VPC

Virtual private clouds that contain tiered networks.

Resource base path: /restapi/vpc

MethodPathDescription
POST/restapi/vpc/createVpcCreate VPC
GET/restapi/vpc/vpcListVPC List
GET/restapi/vpc/vpcIdRead VPC
PUT/restapi/vpc/updateVpcUpdate VPC
GET/restapi/vpc/restartVpcRestart VPC
POST/restapi/vpc/createVpcNetworkCreate VPC Network
PUT/restapi/vpc/updateVpcNetworkUpdate VPC Network
DELETE/restapi/vpc/deleteVpc/{uuid}Delete VPC
note

apikey and secretkey are required HTTP headers on every request and are omitted from the parameter tables below. See Authentication.


Create VPC

Create VPC.

POST /restapi/vpc/createVpc

Request body

FieldTypeRequiredDescription
publicLoadBalancerProviderstringNo
vpcOfferingUuidstringNo
getcIDRstringNo
namestringNoName of the resource.
zoneUuidstringNoUUID of the zone the resource belongs to.
descriptionstringNoHuman-readable description.
networkDomainstringNo
{
"publicLoadBalancerProvider": "string",
"vpcOfferingUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"getcIDR": "0.0.0.0/0",
"name": "example-name",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"description": "string",
"networkDomain": "string"
}

Example request

curl -X POST \
"https://portal.your-domain.com/restapi/vpc/createVpc" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{
"publicLoadBalancerProvider": "string",
"vpcOfferingUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"getcIDR": "0.0.0.0/0",
"name": "example-name",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"description": "string",
"networkDomain": "string"
}'

Responses

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listVpcResponse": [
{
"getcIDR": "0.0.0.0/0",
"domainName": "example-name",
"name": "example-name",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"description": "string",
"zoneName": "example-name",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "Active"
}
]
}

VPC List

VPC List.

GET /restapi/vpc/vpcList

Parameters

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.
uuidquerystringNoUUID of the resource.

Example request

curl -X GET \
"https://portal.your-domain.com/restapi/vpc/vpcList?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listVpcResponse": [
{
"getcIDR": "0.0.0.0/0",
"domainName": "example-name",
"name": "example-name",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"description": "string",
"zoneName": "example-name",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "Active"
}
]
}

Read VPC

Read a single VPC by UUID.

GET /restapi/vpc/vpcId

Parameters

ParameterInTypeRequiredDescription
uuidquerystring✅ YesUUID of the resource.

Example request

curl -X GET \
"https://portal.your-domain.com/restapi/vpc/vpcId?uuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listVpcResponse": [
{
"getcIDR": "0.0.0.0/0",
"domainName": "example-name",
"name": "example-name",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"description": "string",
"zoneName": "example-name",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "Active"
}
]
}

Update VPC

Update VPC.

PUT /restapi/vpc/updateVpc

Request body

FieldTypeRequiredDescription
namestringNoName of the resource.
descriptionstringNoHuman-readable description.
uuidstringNoUUID of the resource.
{
"name": "example-name",
"description": "string",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}

Example request

curl -X PUT \
"https://portal.your-domain.com/restapi/vpc/updateVpc" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "example-name",
"description": "string",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}'

Responses

CodeDescription
200Successful operation.
202Accepted — processed asynchronously (poll via the Resource API Status endpoint).
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listVpcResponse": [
{
"getcIDR": "0.0.0.0/0",
"domainName": "example-name",
"name": "example-name",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"description": "string",
"zoneName": "example-name",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "Active"
}
]
}

Restart VPC

Restart VPC.

GET /restapi/vpc/restartVpc

Parameters

ParameterInTypeRequiredDescription
uuidquerystring✅ YesUUID of the resource.
cleanUpVPCqueryboolean✅ Yes
redundantVpcRouterqueryboolean✅ Yes

Example request

curl -X GET \
"https://portal.your-domain.com/restapi/vpc/restartVpc?uuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890&cleanUpVPC=VALUE&redundantVpcRouter=VALUE" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listVpcResponse": [
{
"getcIDR": "0.0.0.0/0",
"domainName": "example-name",
"name": "example-name",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"description": "string",
"zoneName": "example-name",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "Active"
}
]
}

Create VPC Network

Create a network (tier) inside a VPC.

POST /restapi/vpc/createVpcNetwork

Request body

FieldTypeRequiredDescription
aclUuidstringNo
netmaskstringNo
namestringNoName of the resource.
zoneUuidstringNoUUID of the zone the resource belongs to.
networkOfferingUuidstringNoUUID of the network offering.
vpcUuidstringNoUUID of the VPC.
gatewaystringNo
{
"aclUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"netmask": "string",
"name": "example-name",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"networkOfferingUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"vpcUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"gateway": "string"
}

Example request

curl -X POST \
"https://portal.your-domain.com/restapi/vpc/createVpcNetwork" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{
"aclUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"netmask": "string",
"name": "example-name",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"networkOfferingUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"vpcUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"gateway": "string"
}'

Responses

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"listNetworkResponse": [
{
"cleanUpNetwork": true,
"getcIDR": "0.0.0.0/0",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"networkOfferingUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"isActive": true,
"networkAclList": "string",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"domainName": "example-name",
"name": "example-name",
"networkType": "string",
"gateway": "string",
"networkDomain": "string",
"status": "Active"
}
],
"count": 1
}

Update VPC Network

Update a network (tier) inside a VPC.

PUT /restapi/vpc/updateVpcNetwork

Request body

FieldTypeRequiredDescription
namestringNoName of the resource.
descriptionstringNoHuman-readable description.
networkOfferingUuidstringNoUUID of the network offering.
uuidstringNoUUID of the resource.
networkDomainstringNo
{
"name": "example-name",
"description": "string",
"networkOfferingUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"networkDomain": "string"
}

Example request

curl -X PUT \
"https://portal.your-domain.com/restapi/vpc/updateVpcNetwork" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "example-name",
"description": "string",
"networkOfferingUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"networkDomain": "string"
}'

Responses

CodeDescription
200Successful operation.
202Accepted — processed asynchronously (poll via the Resource API Status endpoint).
401Invalid authentication credentials.
550Permission denied.
{
"listNetworkResponse": [
{
"cleanUpNetwork": true,
"getcIDR": "0.0.0.0/0",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"networkOfferingUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"isActive": true,
"networkAclList": "string",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"domainName": "example-name",
"name": "example-name",
"networkType": "string",
"gateway": "string",
"networkDomain": "string",
"status": "Active"
}
],
"count": 1
}

Delete VPC

Delete VPC.

DELETE /restapi/vpc/deleteVpc/{uuid}

Parameters

ParameterInTypeRequiredDescription
uuidpathstring✅ YesUUID of the resource.

Example request

curl -X DELETE \
"https://portal.your-domain.com/restapi/vpc/deleteVpc/a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses

CodeDescription
200Successful operation.
204No content.
401Invalid authentication credentials.
550Permission denied.
true